import { APIClient, Command } from '@heroku-cli/command';
export default abstract class extends Command {
    private _integration;
    private _addonId;
    get addonServiceSlug(): string;
    get apiUrlConfigVarName(): string;
    get integration(): APIClient;
    get addonId(): string;
    protected configureIntegrationClient(app: string): Promise<void>;
}
