import Command from '../../../lib/base';
import * as Integration from '../../../lib/integration/types';
import * as Heroku from '@heroku-cli/schema';
type AppConnection = Pick<Heroku.AddOn, 'app'> & Integration.Connection;
type AppConnectionListUrl = Pick<Heroku.AddOn, 'app'> & {
    url: string;
};
export default class Index extends Command {
    static description: string;
    static flags: {
        app: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        remote: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<void>;
    protected getIntegrationAddons(): Promise<Required<Heroku.AddOn>[]>;
    protected getAppConnections(integrationAddons: Required<Heroku.AddOn>[]): Promise<AppConnection[]>;
    protected getAppConnectionListUrls(integrationAddons: Required<Heroku.AddOn>[]): Promise<AppConnectionListUrl[]>;
}
export {};
